# UserAvatarData class

The result of a successful query of a users avatar.

## Constructors

UserAvatarData (String base64, String hash)
  const

## Properties

base64 → String
  The base64-encoded avatar data.
  final
data → List <int>
  The raw avatar data. NOTE: Remove newlines because "Line feeds SHOULD NOT be added but MUST be accepted" (https://xmpp.org/extensions/xep-0084.html#proto-data).
  no setter
hash → String
  The SHA-1 hash of the raw avatar data.
  final
hashCode → int
  The hash code for this object.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited